org.eclipse.ease.lang.unittest.reporters

## Class JUnitReportGenerator

- java.lang.Object
- - org.eclipse.ease.lang.unittest.reporters.JUnitReportGenerator

All Implemented Interfaces:
  IReportGenerator

    public final class JUnitReportGenerator
    extends java.lang.Object
    implements IReportGenerator

Creates reports of unit test results. See http://llg.cubic.org/docs/junit/ for the accepted XML format

### Constructor Summary

Constructors
Constructor and Description
`JUnitReportGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `createReport(java.lang.String title, java.lang.String description, ITestEntity testEntity)` Creates report data as string.
`java.lang.String` `getDefaultExtension()` Returns the default file extension to be used for this kind of report without the preceding dot (eg "txt").

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.lang.unittest.reporters.IReportGenerator

`createReport`

### Constructor Detail

#### JUnitReportGenerator

    public JUnitReportGenerator()

### Method Detail

#### createReport

    public java.lang.String createReport(java.lang.String title,
                                         java.lang.String description,
                                         ITestEntity testEntity)

Description copied from interface: `IReportGenerator`
Creates report data as string.

Specified by:
  `createReport` in interface `IReportGenerator`
Parameters:
  `title` - report title
  `description` - generic description
  `testEntity` - test element to be exported
Returns:
  String containing full test report

#### getDefaultExtension

    public java.lang.String getDefaultExtension()

Description copied from interface: `IReportGenerator`
Returns the default file extension to be used for this kind of report without the preceding dot (eg "txt").

Specified by:
  `getDefaultExtension` in interface `IReportGenerator`
Returns:
  file extension to be used